package ru.dbotthepony.mc.otm.capability

import net.minecraft.world.item.ItemStack
import net.minecraftforge.items.IItemHandler

class UnmodifiableItemHandler(private val parent: IItemHandler) : IItemHandler by parent {
	override fun extractItem(slot: Int, amount: Int, simulate: Boolean): ItemStack {
		return ItemStack.EMPTY
	}

	override fun isItemValid(slot: Int, stack: ItemStack): Boolean {
		return false
	}
}
